GDlib 2.0.7 installation erfolgreich?

Bash, Shell, PHP, Python, Perl, CGI
bratzi
Posts: 44
Joined: 2003-01-13 18:37

GDlib 2.0.7 installation erfolgreich?

Post by bratzi »

Hallo,

als Linux-Newbi habe ich mal eine Frage:

Ich habe GDlib 2.0.7 nach folgenden Schritten installiert:

> entpackt
>./configure
>make
>make install

>rcapache restart

Gab keine Fehlermeldungen. Hat meiner Meinung nach alles funktioniert ;-).

Nur, wie kann ich denn jetzt feststellen ob GDlib 2.0.7 verfügbar ist???

Meine PHPinfo sagt:

Code: Select all

System  Linux pxxxxxxxx 2.4.20 #1 SMP Sun Dec 1 21:25:43 CET 2002 i686  
Build Date  Apr 10 2003 21:24:15  
Configure Command  './configure' '--with-mysql' '--with-apxs'  
Server API  Apache  
Virtual Directory Support  disabled  
Configuration File (php.ini) Path  /usr/local/lib/php.ini  
PHP API  20020918  
PHP Extension  20020429  
Zend Extension  20021010  
Debug Build  no  
Thread Safety  disabled  
Registered PHP Streams  php, http, ftp  

This program makes use of the Zend Scripting Language Engine:
Zend Engine v1.3.0, Copyright (c) 1998-2002 Zend Technologies 
Danke für die Hilfe !!! :lol:
arty
Userprojekt
Userprojekt
Posts: 729
Joined: 2002-06-12 10:11

Re: GDlib 2.0.7 installation erfolgreich?

Post by arty »

Hi,

du musst PHP neu kompilieren, sonst weiß PHP ja nichts von deiner neuen GDLib. Ab PHP 4.3.x ist übrigens die GDLib2 mit in PHP gebundlet.

bye
arty
bratzi
Posts: 44
Joined: 2003-01-13 18:37

Re: GDlib 2.0.7 installation erfolgreich?

Post by bratzi »

upps, hab ja php 4.3.1 :-)

Aber wie "schalte" ich das denn nun ein? Kannst du mir die Befehle sagen? Was muss ich eingeben?

Danke :-)
arty
Userprojekt
Userprojekt
Posts: 729
Joined: 2002-06-12 10:11

Re: GDlib 2.0.7 installation erfolgreich?

Post by arty »

Hi,

beim ./configure einfach nur ein --with-gd ranhängen, dann sollte er die mitgelieferte GDLib nutzen. Als Tipp: Installiere gleich die 4.3.2, dort sind einige Bugs der GDLib gefixt.

bye
arty
bratzi
Posts: 44
Joined: 2003-01-13 18:37

Re: GDlib 2.0.7 installation erfolgreich?

Post by bratzi »

Danke, habs aber (nach langem suchen ;-)) hinbekommen. Allerdings ohne php 4.2.3. Werde ich jetzt noch nachinstallieren, denn ich kann ja jetzt installieren :lol: ... hoffe ich!

Eine Anmerkung für die, die dieses Beitrag lesen:
Ich habe noch zusätzlich jpegsrc.v6b.tar.gz und zlib-1.1.3.tar.gz benötigt. Mal einfach den Download über google suchen. Beim der PHP Installation (das nenn man kompilieren :idea: ) einfach

Code: Select all

./configure 
... dann die Einstellungen gem. phpinfo.php reinkopieren und dann ...
--with-gd --with-jpeg-dir=root/jpg-6b --with-zlib-dir=root/zlib-1.1.4
Dann sollte alles gehen :lol: (restart nicht vergessen!)
tschik
Posts: 43
Joined: 2003-09-14 11:22
Location: Mönchengladbach

Re: GDlib 2.0.7 installation erfolgreich?

Post by tschik »

hab die PHP 4.3.4 drauf, muß ich um GD einzusetzten PHP komplett neu compilieren, oder gibt´s einen Trick wie ich die nur nachträglich compiliere ???
arty
Userprojekt
Userprojekt
Posts: 729
Joined: 2002-06-12 10:11

Re: GDlib 2.0.7 installation erfolgreich?

Post by arty »

Hi,

beim ./configure musst du einfach nur ein --with-gd ranhängen, dann sollte er die mitgelieferte GDLib 2.0.15 nutzen.

bye
arty
tschik
Posts: 43
Joined: 2003-09-14 11:22
Location: Mönchengladbach

Re: GDlib 2.0.7 installation erfolgreich?

Post by tschik »

hatte allerdings nicht compeliert, sonder ein upgrade per apt-get -u dist-upgrade gemacht
arty
Userprojekt
Userprojekt
Posts: 729
Joined: 2002-06-12 10:11

Re: GDlib 2.0.7 installation erfolgreich?

Post by arty »

Hi,

dann mach mal ein apt-get install php4-gd!

http://packages.debian.org/unstable/web/php4-gd.html

bye
arty